<?php
require_once('MessageImageGenerator2.php');
$font_name = 'azuki.ttf';
#$font_name = 'yutaCo2_ttc_027.ttc';
#$font_name = 'aquafont.ttf';

$gen = new MessageImageGenerator("C:\\WINDOWS\\Fonts\\" . $font_name, 10, 3, 3, false);

function MakeImage1($generator, $class){
  return $generator->GetImage($class['message'], $class['R'], $class['G'], $class['B'],
			      $class['R2'], $class['G2'], $class['B2'],
			      $class['R3'], $class['G3'], $class['B3'],
			      $class['R4'], $class['G4'], $class['B4']);
}

function MakeImage($generator, $class){
  foreach($class['delimiter'] as $delimiter => $colors){
    $generator->AddDelimiter(new Delimiter($delimiter, $colors['R'], $colors['G'], $colors['B']));
  }
  return $generator->GetImage($class['message']);
}

class MainRoleList{
  var $human = array(
    'message' => "[綵劫